## com.saxonica.stream.watch
Interface WatchMaker

All Known Implementing Classes:
  VoidWatchMaker

    public interface WatchMaker

A WatchMaker is a factory class for creating a `Watch`.

Method Summary
`Watch` `makeWatch(WatchManager watchManager, Feed out, Stack<XPathContext> contextStack)`

Method Detail

### makeWatch

    Watch makeWatch(WatchManager watchManager,
                    Feed out,
                    Stack<XPathContext> contextStack)
                    throws XPathException

  Throws:
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.